#include "N76E003.h"
#include "SFR_Macro.h"
#include "Function_define.h"
#include "Common.h"
#include "Delay.h"
void setup(void);
unsigned int ADC_read(void);
void main(void)
{ 
   unsigned int temp = 0;
  unsigned int adc_count = 0;
  setup();	
  while(1)
  {
    adc_count = ADC_read();
    temp = ((unsigned int)((((float)adc_count) * 5) / 4096));
		if (temp > 3)
		{
			clr_P12;
		}
		else
		{  
			set_P12;
		}
  }
}
void setup(void)
{ 
  P12_PushPull_Mode;
  Enable_ADC_AIN6;
}
unsigned int ADC_read(void)
{
  register unsigned int value = 0x0000;
  clr_ADCF;
  set_ADCS;                 
  while(ADCF == 0);
  value = ADCRH;
  value <<= 4;
  value |= ADCRL;
  return value;
}