#include "N76E003.h"
#include "Common.h"
#include "Delay.h"
#include "SFR_Macro.h"
#include "Function_define.h"
void setup(void);
void Timer0(UINT32 u32CNT)
{
    clr_T0M;                                		
    TMOD |= 0x01;                           		
    set_TR0;
    while (u32CNT != 0)
    {
        TL0 = LOBYTE(TIMER_DIV12_VALUE_1ms); 		
        TH0 = HIBYTE(TIMER_DIV12_VALUE_1ms);
        while (TF0 != 1);                   		
        clr_TF0;
        u32CNT --;
    }
    clr_TR0;                              		  
}
void main(void)
{
	setup();
	clr_P12;
	Timer0(1000);
	set_P12;
	Timer0(1000);
}
void setup(void)
{
	  P12_PushPull_Mode;
}
